Bug 988086 - [ExternalTasks] When adding new step, type is always EXECUTING
[ExternalTasks] When adding new step, type is always EXECUTING
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eli Mesika
Depends On:
  Show dependency treegraph
Reported: 2013-07-24 13:22 EDT by vszocs
Modified: 2013-09-23 03:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 03:27:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17375 None None None Never

  None (edit)
Description vszocs 2013-07-24 13:22:44 EDT
Assume JOB_ID is ID of existing job.

  <description>Test Step</description>

POST response = step created with type EXECUTING
<step href="/api/jobs/JOB_ID/steps/NEW_STEP_ID" id="NEW_STEP_ID">
        <link href="/api/jobs/JOB_ID/steps/NEW_STEP_ID/end" rel="end"/>
    <job href="/api/jobs/JOB_ID" id="JOB_ID"/>

If I omit <type> from POST request, I'll get following fault: Step [type] required for add

This makes <type> required in POST request but it doesn't seem to have any effect.
Comment 1 Eli Mesika 2013-08-01 05:25:41 EDT
fixed in commit : 6404cf7
Comment 2 Itamar Heim 2013-08-21 12:40:07 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 3 Itamar Heim 2013-09-23 03:27:22 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.